Options

Get option quote

get
https://api.snaptrade.com/api/v1/accounts/{accountId}/quotes/options

Returns a quote for a single option contract. The option contract is specified using in the 21 character OCC format. For example AAPL 251114C00240000 represents a call option on AAPL expiring on 2025-11-14 with a strike price of $240. For more information on the OCC format, see here Note: These are derived values and are not suitable for trading purposes.

Execute an API Request

Path
accountIdstring (format: uuid)required

Unique identifier for the connected brokerage account. This is the UUID used to reference the account in SnapTrade.

Query
userIdstringrequired

SnapTrade User ID. This is chosen by the API partner and can be any string that is a) unique to the user, and b) immutable for the user. It is recommended to NOT use email addresses for this property because they are usually not immutable.

userSecretstringrequired

SnapTrade User Secret. This is a randomly generated string and should be stored securely. If compromised, please rotate it via the rotate user secret endpoint.

symbolstringrequired

The OCC-formatted option symbol.

Authorization
Request
Installation
$
npm install snaptrade-typescript-sdk
1
Loading...

Response fields

object

Real-time quote for a single option contract.

symbolstring

The OCC-formatted option symbol.

synthetic_pricenumber

The derived synthetic price of the contract.

implied_volatilitynumber

The implied volatility of the option contract.

timestampstring (format: date-time) or null

The timestamp of the last update for the option quote.

greeksobject

The Greeks for the option contract.

1
{
2
"symbol": "AAPL 251219C00150000",
3
"synthetic_price": 150.25,
4
"implied_volatility": 0.32145678,
5
"timestamp": "2026-01-15T14:30:00Z",
6
"greeks": {
7
"delta": 0.5,
8
"gamma": 0.1,
9
"theta": -0.05,
10
"vega": 0.2
11
}
12
}